Package twisted :: Package python :: Module components :: Class _Wrapper

[frames | no frames]

## Class _Wrapper

    object --+
             |
            _Wrapper

Makes any object be able to be dict key.

Method Summary
| `__init__(self, a)`
| ``__getstate__`(...)`
Inherited from object
| `__delattr__(...)`
| `__getattribute__(...)`
| `__hash__(...)`
| `__reduce__(...)`
| `__repr__(...)`
| `__setattr__(...)`
| `__str__(...)`
Inherited from type
| `__new__(...)`

Class Variable Summary
`list` | `__slots__` = `['a']`
`member_descriptor` | `a` = `<member 'a' of '_Wrapper' objects>`

Class Variable Details

### __slots__

  Type:
    `list`
  Value:

        ['a']

### a

  Type:
    `member_descriptor`
  Value:

        <member 'a' of '_Wrapper' objects>

Generated by Epydoc 2.0 on Sat May 15 20:08:42 2004 | http://epydoc.sf.net